!
<template src="./template.html"></template>

<script lang="ts">
import { Vue, Component } from "vue-property-decorator";
import { apiErrorHandler } from "~/utils/apiHanlers";
@Component({
  components: {},
})
export default class AccountSettingComponent extends Vue {
  passwordOld = "";
  passwordNew = "";
  rePasswordNew = "";
  isHidePassword = false;
  isHidePasswordNew = false;
  isHideRePasswordNew = false;

  loading = false;
  loadingPassword = false;

  async changePassword() {
    try {
      if (!(this.passwordOld && this.passwordNew && this.rePasswordNew)) {
        return this.$pushNotification.error("Please enter all information");
      } else if (this.passwordNew.length < 6) {
        return this.$pushNotification.error("Password must be 6 characters");
      } else if (this.passwordNew !== this.rePasswordNew) {
        return this.$pushNotification.error("Two passwords do not match");
      }
      this.loadingPassword = true;
      const body = {
        password: this.passwordOld,
        newPassword: this.passwordNew,
        passwordConfirm: this.rePasswordNew,
      };
      await this.$api.user.changePassword(body);
      this.$pushNotification.success("Change password successfully");
      this.passwordOld = "";
      this.passwordNew = "";
      this.rePasswordNew = "";
      this.$store.dispatch("user/onGetMe", { ctx: this });
    } catch (error) {
      apiErrorHandler(error, this);
    } finally {
      this.loadingPassword = false;
    }
  }
}
</script>

<style lang="scss" scoped></style>
